Ubuntu

Please transition libgnome to multi-arch

Reported by Tom Ellis on 2012-04-10
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
libgnome (Debian)
Fix Released
Unknown
libgnome (Ubuntu)
Medium
Adam Stokes
Precise
High
Adam Stokes

Bug Description

[Impact]
Please transition libgnome to support multi-arch.

This package is still required by some third party applications.

[Test Case]
Build and install i386 packages on amd64 and attempt to link against the architecture specific library.

[Regression Potential]
Regression minimal as this change applies to building of library.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: libgnome2-0 2.32.1-2ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-22.35-generic 3.2.14
Uname: Linux 3.2.0-22-generic x86_64
ApportVersion: 2.0-0ubuntu5
Architecture: amd64
Date: Tue Apr 10 12:26:44 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120401)
ProcEnviron:
 LANGUAGE=en_GB:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: libgnome
UpgradeStatus: No upgrade log present (probably fresh install)

Tom Ellis (tellis) wrote :
Changed in libgnome (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
Changed in libgnome (Debian):
status: Unknown → New
Tom Ellis (tellis) wrote :

Some work has been carried out on this upstream but it looks like it's a bit more complex than the initial reporter expected.

Changed in libgnome (Ubuntu):
milestone: none → ubuntu-12.04.1
Chris J Arges (arges) on 2012-06-14
Changed in libgnome (Ubuntu):
milestone: ubuntu-12.04.1 → none
Changed in libgnome (Ubuntu Precise):
milestone: none → ubuntu-12.04.1
Changed in libgnome (Ubuntu):
importance: Wishlist → Undecided
Changed in libgnome (Ubuntu Precise):
importance: Undecided → Medium
status: New → Confirmed
Changed in libgnome (Ubuntu):
status: Triaged → New
status: New → Confirmed
importance: Undecided → Medium
Stéphane Graber (stgraber) wrote :

Is this still going to land in 12.04.1?

Changed in libgnome (Ubuntu):
status: Confirmed → Triaged
Changed in libgnome (Ubuntu Precise):
status: Confirmed → Triaged
Adam Stokes (adam-stokes) wrote :

I'm hopeful that it will, however, this is one of the bugs on my list that could slip to .2

Changed in libgnome (Ubuntu Precise):
assignee: nobody → Adam Stokes (adam-stokes)
Changed in libgnome (Ubuntu Precise):
milestone: ubuntu-12.04.1 → ubuntu-12.04.2
Changed in libgnome (Ubuntu):
assignee: nobody → Adam Stokes (adam-stokes)
status: Triaged → In Progress
Changed in libgnome (Ubuntu Precise):
status: Triaged → In Progress
Adam Stokes (adam-stokes) wrote :

rdeps quantal testing

./libgnomemm2.6_2.30.0-1-amd64-20120815-2209:Status: successful
./libgnomeui_2.24.5-2ubuntu2-amd64-20120815-2215:Status: successful
./libbonoboui_2.24.5-0ubuntu2-amd64-20120815-2202:Status: successful

Adam Stokes (adam-stokes) wrote :

Modifications to gnome-program have been made to address dlopen's of certain libraries and provide a multiarch path in addition to the original path to make sure the routine can find the module.

The rest is typical multiarch conversion

Adam Stokes (adam-stokes) wrote :

I should state modifications to the dlopen portion of the code exists already in quantal.

description: updated
Steve Langasek (vorlon) wrote :

This also needs a manual dependency on the version of libbonobo2-0 that introduces support for multiarch path lookups (version 2.32.1-0ubuntu1.1).

Rather than moving gnome-open to a new -bin package, did you consider moving it into libgnome2-common and making libgnome2-common an Arch: any package?

Steve Langasek (vorlon) wrote :

> I should state modifications to the dlopen portion of the code exists already in quantal.

I don't understand this comment. Are you talking about the libbonobo search path, or something else?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgnome - 2.32.1-2ubuntu2

---------------
libgnome (2.32.1-2ubuntu2) quantal; urgency=low

  * Transition to multi-arch (LP: #977959)
 -- Adam Stokes <email address hidden> Wed, 15 Aug 2012 21:37:08 -0400

Changed in libgnome (Ubuntu):
status: In Progress → Fix Released
Cláudio Carvalho (clavalho) wrote :

Could you please commit this fix into precise-proposed?
Thanks

Changed in libgnome (Ubuntu Precise):
importance: Medium → High
Chris Halse Rogers (raof) wrote :

Could we please have this resolved? It confuses me, too ☺

> I should state modifications to the dlopen portion of the code exists already in quantal.
I don't understand this comment. Are you talking about the libbonobo search path, or something else?

Adam Stokes (adam-stokes) wrote :

Comment 7 was basically an addition to the comment I made in 6

Modifications to gnome-program have been made to address dlopen's of certain libraries and provide a multiarch path in addition to the original path to make sure the routine can find the module.

Dimitri John Ledkov (xnox) wrote :

It's in precise-proposed unapproved queue now. Unsubscribing sponsors.

Hello Tom, or anyone else affected,

Accepted libgnome into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libgnome/2.32.1-2ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libgnome (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Cláudio Carvalho (clavalho) wrote :

The package in precise-proposed works for me.
Now the i386 and amd64 are co-installable. I didn't face any package removal. Thanks.

Adam Stokes (adam-stokes) wrote :

Thanks for testing Cláudio

tags: added: verification-done
removed: verification-needed
tags: added: verification-done-precise

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgnome - 2.32.1-2ubuntu1.1

---------------
libgnome (2.32.1-2ubuntu1.1) precise-proposed; urgency=low

  * Transition to multi-arch (LP: #977959)
 -- Adam Stokes <email address hidden> Thu, 20 Sep 2012 09:45:31 -0400

Changed in libgnome (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in libgnome (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.